package com.bytedance.livesdk.impl.play;

import android.content.Context;
import com.bytedance.android.livesdkapi.session.EnterRoomConfig;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.bytedance.livesdk.api.ILivePlayService;
import com.ss.android.ugc.aweme.live.LivePlayActivity;

public class LivePlayService implements ILivePlayService {
    public static volatile ILivePlayService LIZ;

    static {
        Covode.recordClassIndex(35434);
    }

    public void onInit() {
    }

    public final Class LIZ() {
        return LivePlayActivity.class;
    }

    public static ILivePlayService LIZIZ() {
        MethodCollector.i(3340);
        if (LIZ == null) {
            synchronized (LivePlayService.class) {
                try {
                    if (LIZ == null) {
                        LIZ = new LivePlayService();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3340);
                    throw th;
                }
            }
        }
        ILivePlayService iLivePlayService = LIZ;
        MethodCollector.o(3340);
        return iLivePlayService;
    }

    public final void LIZ(Context context, EnterRoomConfig enterRoomConfig) {
        LivePlayActivity.LIZ(context, enterRoomConfig);
    }
}
